Description

Symbolize a line layer with the Marker line symbol layer type

In the Marker placement section, the position of the first "data-defined override" button doesn't help you understand what it's about.

Checking the description informs you then that it's only about the "geometry-related" radio-buttons below.

I suggest to group all the geometric items under a frame, something like

    -  with interval + spinbox, unit and DD button

    -  on geometry + DD button

        -  on every vertex

        -  ...

        -  on every curve point

    -  offset along line + spinbox, unit and DD button

This way, it'd be clear for the user what the DD button is linked to without checking its documentation

History

#1 - 2017-02-21 08:03 PM - Nyall Dawson

I agree that the current arrangement isn't optimal, but I think your suggestion doesn't make it clear that the DD placement button also applies to the interval

mode too.

#2 - 2017-02-22 01:47 AM - Harrissou Santanna

You are right. My design was based on the wrong assumption that the first DD button was only about geometric items (and that interval was not an item).

Now that I know interval is also concerned, it has more sense like it's (though still not optimal).

I'll try to come with some proposals...

#3 - 2017-02-24 01:44 AM - Harrissou Santanna

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:beca8d7
